# Type alias GenerateId<C>

GenerateId<C>: (<N>(collectionName, input) => string | undefined)

#### Type Parameters

- #### C extends Meta.Collections

#### Type declaration

- - <N>(collectionName, input): string | undefined

  - #### Type Parameters

    - #### N extends Meta.CollectionName<C>

    #### Parameters

    - ##### collectionName: N

    - ##### input: Meta.Input<C, N> | StrictIdInput<C, N> | undefined

    #### Returns string | undefined

- Defined in packages/db/src/meta/id/types.ts:22

Generated using TypeDoc